Package it.ernytech.tdlib

## Class TdApi.SearchMessagesFilter

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.SearchMessagesFilter

Direct Known Subclasses:
  `TdApi.SearchMessagesFilterAnimation`, `TdApi.SearchMessagesFilterAudio`, `TdApi.SearchMessagesFilterCall`, `TdApi.SearchMessagesFilterChatPhoto`, `TdApi.SearchMessagesFilterDocument`, `TdApi.SearchMessagesFilterEmpty`, `TdApi.SearchMessagesFilterMention`, `TdApi.SearchMessagesFilterMissedCall`, `TdApi.SearchMessagesFilterPhoto`, `TdApi.SearchMessagesFilterPhotoAndVideo`, `TdApi.SearchMessagesFilterUnreadMention`, `TdApi.SearchMessagesFilterUrl`, `TdApi.SearchMessagesFilterVideo`, `TdApi.SearchMessagesFilterVideoNote`, `TdApi.SearchMessagesFilterVoiceAndVideoNote`, `TdApi.SearchMessagesFilterVoiceNote`

Enclosing class:
  TdApi

    public abstract static class TdApi.SearchMessagesFilter
    extends TdApi.Object

This class is an abstract base class. Represents a filter for message search results.

### Constructor Summary

Constructors
`SearchMessagesFilter()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### SearchMessagesFilter

    public SearchMessagesFilter()